Help Center

I need help with...

Web Browser Requirements

Screencast.com requires:

  • Internet Explorer 8 or higher
  • Firefox 3.6 or higher
  • Safari 4.0 or higher
  • Chrome 10 or higher
  • Javascript enabled
  • Adobe Flash Player 10.2

We recommend:

  • A broadband Internet connection
  • Adobe Flash Player 10.2 or higher
More

Blog

DevCorner: Cross-Platform Ruby UI Automation ... By Jonathan Herman
October 31, 2014 10:34 AM




The Nightmarish Tale of App Store Zombies ... By Daniel Foster
October 20, 2014 9:45 AM


Visit Blog

Support

Need tech support?
Visit our free Support Center